%global install_loc	%{_datadir}/eclipse/dropins/egit-github
%global version_suffix 201302130906

Name:           eclipse-egit-github
Version:        2.3.0
Release:        1%{?dist}
Summary:        Eclipse EGit Mylyn GitHub Connector

Group:          Development/Libraries
License:        EPL
URL:            http://www.eclipse.org/egit/
Source0:        https://git.eclipse.org/c/egit/%{name}.git/snapshot/%{name}-%{version}.tar.bz2
BuildArch: 		noarch
BuildRequires:	tycho
BuildRequires:	google-gson
BuildRequires:	hamcrest
BuildRequires:	eclipse-jgit
BuildRequires:	eclipse-mylyn
BuildRequires:	eclipse-egit
BuildRequires:  eclipse-mylyn-docs-wikitext
BuildRequires: 	feclipse-maven-plugin
BuildRequires: 	maven-local
BuildRequires:	maven-install-plugin
BuildRequires:	maven-deploy-plugin

%description
Create task repositories for working with GitHub issues 
and Gists.

%prep
%setup -q -n egit-github-%{version}.%{version_suffix} 
%pom_xpath_remove "pom:properties/pom:egit-site"
%pom_xpath_remove "pom:repositories/pom:repository[position()=1]"

# comment out tests
%pom_xpath_remove "pom:modules/pom:module[position()=5]"

# change version from 2.2.0 to 2.3.0 for google-gson
pushd org.eclipse.egit.github.core/META-INF
sed -i '/google.gson/ { s/2.2.0/2.3.0/ }' MANIFEST.MF
popd

# remove dependencies for maven-antrun-plugin 
%pom_remove_dep ant:optional org.eclipse.mylyn.github.doc

# change version from 2.0.0 to 3.8.1 for github.doc
pushd org.eclipse.mylyn.github.doc/META-INF
sed -i '/eclipse.mylyn/ { s/2.0.0/3.9.0/ }' MANIFEST.MF
popd


%build
mvn-rpmbuild -DskipTychoVersionCheck \
		install

%install
install -d -m 0755 %{buildroot}%{_javadir}

mvn-rpmbuild org.fedoraproject:feclipse-maven-plugin:install \
		-DskipTychoVersionCheck \
		-DsourceRepo=org.eclipse.mylyn.github-site/target/repository \
		-DtargetLocation=%{buildroot}%{install_loc}/eclipse

%files
%{install_loc}
%doc org.eclipse.mylyn.github-feature/epl-v10.html
%doc org.eclipse.mylyn.github-feature/license.html
%doc org.eclipse.egit.github.core/about.html
%doc org.eclipse.mylyn.github.core/about.html
%doc org.eclipse.mylyn.github.doc/about.html
%doc org.eclipse.mylyn.github.ui/about.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/Updating-This-Document.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/User-Guide.html


%changelog
* Wed Jun 05 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0
- Initial packaging of eclipse-egit-github

